System.Configuration.Install 1.0.5000.0 2.0.0.0 System.Configuration.Install.Installer

To run installers in a transaction, add them to the property of this instance.

Defines an installer that either succeeds completely or fails and leaves the computer in its initial state.

- Constructor
  To be added.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  This method calls the method of each installer contained in the property of this instance. The object referenced by the parameter is updated to reflect the status of the installation after the contained installers have run. If all the methods succeed, the method is called. Otherwise, the method is called for each installer.

  Performs the installation.

  An in which this method saves information needed to perform a commit, rollback, or uninstall operation. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  Call this method to remove a previously completed installation. This method calls the method of each installer in the property to uninstall any resources set during installation. Any exceptions during uninstallation are ignored.

  Although the and methods save the state of the computer after the installations, the file containing the from the parameter might have been deleted at some point after the installation was complete. If the file is deleted, the parameter is null.

  Removes an installation.

  An that contains the state of the computer after the installation completed. 1.0.5000.0 2.0.0.0